extends Sprite2D

@export var start_mask : MaskData
@export var spawn : RoomSpawn

func _process(delta: float) -> void:
	var player : Player = get_tree().get_first_node_in_group("player")
	if player.global_position.distance_to(global_position) < 50:
		if Input.is_action_pressed("interact"):
			player.equip_mask(start_mask)
			spawn.start_next_wave()
